#ifndef MODEL_INCLUDED
 #define MODEL_INCLUDED

// Model.h
#include "vector3d.h"
#include <vector>
#include <string>

using namespace std;

class Polygon {
	public:
	vector <int> points;
	Vect3d normal;
};

class Model {
	private:
	vector <Vect3d> points;
	vector <Polygon> polys;
	Component minx,miny, maxx, maxy;
	Component textureScale;
	Component textureYOffset;
	public:
	// Load from a file
	void load(string filename);
	// Draw with current OpenGL params
	void draw(bool texture = false) const;
};

#endif // MODEL_INCLUDED

