#ifndef RESOURCEMANAGER_INCLUDED
	#define RESOURCEMANAGER_INCLUDED

#include "model.h"
#include "texture.h"

class ResourceManager {
	public:
		Texture tiletexture;
		Texture shiptexture;
		Texture saucertexture;
		Texture bombtexture;
		Texture towertexture;
		Texture turrettexture;
		Texture explosiontexture;
		Model shipmodel;
		Model saucermodel;
		Model towermodel;
		Model turretmodel;
		void Load() {
			tiletexture.LoadFromRGB("gfx/metal1.rgb",64,64);
			shiptexture.LoadFromRGB("gfx/shiptex.rgb",256,256);
			bombtexture.LoadFromRGBA("gfx/bomb.rgba",64,64);
			saucertexture.LoadFromRGB("gfx/saucertex.rgb",256,256);
			towertexture.LoadFromRGB("gfx/towertex.rgb",64,64);
			turrettexture.LoadFromRGB("gfx/turrettex.rgb",256,256);
			explosiontexture.LoadFromRGBA("gfx/explosion.rgba", 64,64);
			shipmodel.load("models/ship.model");
			saucermodel.load("models/saucer.model");
			towermodel.load("models/tower.model");
			turretmodel.load("models/turret.model");
		}
};	
		
#endif //RESOURCEMANAGER_INCLUDED
